
/////////////////////////////////////////////////////////////////////////
// G4Tutorial:
//
// PhysicsHIPionBinary.hh
// 
// Assembling hadronic inelastic physics processes for pions (plus and minus).
// 
// The considered process is G4PionXXXInelasticProcess (XXX to be replaced
// by Plus or Minus), and the applied model is G4BinaryCascade. For pion
// minus particles absorption at rest is also activated 
// (G4PiMinusAbsorptionAtRest process).
//
/////////////////////////////////////////////////////////////////////////

#ifndef PHYSICSHIPIONBINARY_HH
#define PHYSICSHIPIONBINARY_HH

#include "G4VPhysicsConstructor.hh"
#include "globals.hh"


// G4VPhysicsConstructor is the abstract base class for physics constructors:

class PhysicsHIPionBinary : public G4VPhysicsConstructor {

 public:
   PhysicsHIPionBinary(const G4String& name = "Pion-Binary");
   virtual ~PhysicsHIPionBinary();

 

   // G4VPhysicsConstructor has two pure virtual methods which must be 
   // implemented by the user: ConstructParticle and ConstructProcess.
   // Since only physics processes are dealt with here, ConstructParticle
   // is irrelevant and performs no action. ConstructProcess is used to
   // instantiate all physics processes relevant for the considered particle
   // and type of interaction.
   void ConstructParticle() { };
   void ConstructProcess();
};

#endif








